function save_fr32_init(fr32_vector, out_file)
%save_fr32_init(fr32_vector, out_file)
%
%	The save_****_init routines expect a column vector of fixed-point data.  The 
%	output file will contain comma-delimited 0x-prefixed hex numbers (except for 
%	the last element which lacks the trailing comma).  This format is accepted 
%	by the preprocessor for including data to initialize buffers. 
%
%Notation:
%fr16 corresponds to 16-bit fixed-point data
%fr32 corresponds to 32-bit fixed-point data

fout = fopen(out_file, 'w');

N = length(fr32_vector);

for i = 1:(N-1),
   if fr32_vector(i) == 0
   	fprintf(fout,'0X00000000,\r\n');
   else
      fprintf(fout,'%#010X,\r\n', fr32_vector(i));
   end
   %fprintf(fout, '%#010hx,\r\n', fr32_vector(i));
end
   if fr32_vector(N) == 0
   	fprintf(fout,'0X00000000\r\n');
   else
      fprintf(fout,'%#010X\r\n', fr32_vector(N));
   end
	%fprintf(fout,'0x');
	%fprintf(fout,'%#09X\r\n', fr32_vector(N));
   %fprintf(fout, '%#010hx\r\n', fr32_vector(N));
   
%a = [6 10 14 44];
%fprintf('%9X\n',a + (a<0)*2^32)
%        6
%        A
%        E
%       2C



%fprintf(fout, '%d,\n', fr16_vector(i));

%fprintf(1,'The highlimit = %15.10d\n',highlimit);

fclose(fout);